%define languageenglazy Indonesian
%define languagecode    id
%define lc_ctype        id_ID

%define upstream_version 20040812

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 8
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/Dictionaries
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/id_ID.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-id
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

chmod 0644 README_id_ID.txt

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_id_ID.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.20040812.1-8.mga2
+ Revision: 224695
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20040812.1-7.mga2
+ Revision: 208097
- use better obsoleting of myspell

* Wed Jan 25 2012 kamil <kamil> 0.20040812.1-6.mga2
+ Revision: 201166
- adapt .spec to the current policies

  + lmenut <lmenut>
    - fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20040812.1-4.mga1
+ Revision: 68859
- imported package hunspell-id

